Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 60)
@@ -37,32 +37,6 @@
         private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
 
         /// <summary>
-        /// 利用ユーザータイプ
-        /// </summary>
-        public enum UserType
-        {
-            /// <summary>特別権限</summary>
-            PresidentAuthority,
-            /// <summary>統括者権限</summary>
-            SupervisorAuthority,
-            /// <summary>所属長権限</summary>
-            SuperiorAuthority,
-            /// <summary>一般権限</summary>
-            Staff,
-        }
-
-        /// <summary>
-        /// 保護区分
-        /// </summary>
-        public enum SecRangeType
-        {
-            AllDepartment = 1,
-            MultiDepartment = 2,
-            OneDepartment = 3,
-            InCharge = 4,
-        }
-
-        /// <summary>
         /// 承認状態
         /// </summary>
         public enum ApprovalStatus
@@ -261,24 +235,6 @@
         }
 
         /// <summary>
-        /// ユーザ情報
-        /// </summary>
-        private class UserInfo
-        {
-            public UserType m_Type { get; set; }            // 権限
-            public int m_GeneralAffairsFlg { get; set; }    // 総務業務フラグ
-            public SecRangeType m_SecRange { get; set; }    // 保護区分
-            public bool CanEditDeposit
-            {
-                get { return m_GeneralAffairsFlg == 1; }
-            }
-            public bool CanEditDepositDetail
-            {
-                get { return m_GeneralAffairsFlg == 0; }
-            }
-        }
-
-        /// <summary>
         /// 請求先キー
         /// </summary>
         private class OrderersKey
@@ -487,11 +443,11 @@
         private bool m_CloseingProcessOff = false;
 
         // ユーザー情報
-        private UserInfo m_UserInfo = new UserInfo()
+        private ClsSecurityPermission.UserInfo m_UserInfo = new ClsSecurityPermission.UserInfo()
         {
-            m_Type = UserType.Staff,
+            m_Type = CommonDefine.SecurityRankPos.NormalAuthority,
             m_GeneralAffairsFlg = 0,
-            m_SecRange = SecRangeType.InCharge
+            m_SecRange = ClsSecurityPermission.SecRangeType.InCharge
         };
 
         /// <summary>
@@ -532,7 +488,7 @@
                 comboBox1.SelectedIndex = lstDate.IndexOf(now);
 
                 // ユーザ権限設定
-                SetUserType();
+                ClsSecurityPermission.SetUserType(m_UserInfo);
 
                 // ちらつきを抑えるため、ダブルバッファリングを有効にする。
                 dgvMaster.GetType().InvokeMember("DoubleBuffered", BindingFlags.NonPublic | BindingFlags.Instance | BindingFlags.SetProperty,
@@ -758,7 +714,109 @@
             }
         }
 
+        #region 入金情報掲示板データ登録
         /// <summary>
+        /// 入金情報掲示板データ登録
+        /// </summary>
+        /// <returns></returns>
+        private bool MessageBoardEntry(DepositOrderer depositOder)
+        {
+            IOMessageBoardData mbdDB = new IOMessageBoardData();
+            IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
+            try
+            {
+                mbdDB.connect();
+                mbdDB.beginTran();
+
+                mbtDB.connect();
+                mbtDB.beginTran();
+
+                List<MessageBoardData> list = new List<MessageBoardData>();
+                MessageBoardData data = new MessageBoardData();
+
+                // キーコードセット
+                data.RecordNumber = mbtDB.SelectMaxMessageBoardTergetKeyCount("", false) + 1;
+                data.BranchNumber = 0;
+                string strWhere = mbdDB.CreatePrimarykeyString(data.RecordNumber, data.BranchNumber);
+
+                // 送信者セット
+                data.FromCode = CommonMotions.LoginUserData.PersonCode;
+                data.FromName = CommonMotions.LoginUserData.PersonName;
+
+                data.MessageTitle = string.Format("入金確認（{0}）", depositOder.OrderersName);
+                data.MessageContent = string.Format("{0}様より入金がありました。\r\n", depositOder.OrderersName);
+                data.MessageContent += "入金内容の確認をよろしくお願いします。";
+
+                // リンク情報
+                data.LinkType = 0;
+                data.LinkMessage = "";
+                data.LinkCode = "";
+
+                // メッセージ色セット
+                data.MessageColor = String.Format("0x{0:X2}{1:X2}{2:X2}", Color.White.R
+                                                                        , Color.White.G
+                                                                        , Color.White.B);
+                data.BackColor = String.Format("0x{0:X2}{1:X2}{2:X2}", Color.Green.R
+                                                                        , Color.Green.G
+                                                                        , Color.Green.B);
+                data.WritingDate = DateTime.Now;
+                data.PersonCode = CommonMotions.LoginUserData.PersonCode;
+                data.ShareFlag = 1;
+
+                list.Add(data);
+                // データ登録
+                if (!mbdDB.InsertAction(list, false))
+                {
+                    MessageBox.Show("登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    mbdDB.rollback();
+                    mbtDB.rollback();
+                    return false;
+                }
+
+                string strMBT = mbtDB.CreatePrimarykeyString(data.RecordNumber, data.BranchNumber);
+                mbtDB.DeleteAction(strMBT, false);
+                // 対象者書込み
+                int icnt = 0;
+
+                List<MessageBoardTerget> terList = new List<MessageBoardTerget>();
+                MessageBoardTerget wrkTer = new MessageBoardTerget();
+
+                // キーコードセット
+                wrkTer.RecordNumber = data.RecordNumber;
+                wrkTer.BranchNumber = data.BranchNumber;
+                wrkTer.SeqNum = ++icnt;
+                wrkTer.ToCode = 99999999;
+                wrkTer.ToName = "全　　員";
+
+                terList.Add(wrkTer);
+
+                // データ登録
+                if (!mbtDB.InsertAction(terList, false))
+                {
+                    mbdDB.rollback();
+                    mbtDB.rollback();
+                    return false;
+                }
+
+                mbdDB.commit();
+                mbtDB.commit();
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                mbdDB.close(); mbdDB = null;
+                mbtDB.close(); mbtDB = null;
+            }
+        }
+        #endregion
+
+        /// <summary>
         /// 登録ボタンクリック時のイベント
         /// </summary>
         /// <param name="sender"></param>
@@ -771,7 +829,7 @@
             var ioDepositData = new IODepositData();
             var ioDepositDataDetail = new IODepositDataDetail();
             var ioDepositApprovalInfo = new IODepositApprovalInfo();
-            var ioRequestTotalData = new IORequestTotalData();
+            var ioRequestHead = new IORequestHead();
             try
             {
                 ResetTargetDate();
@@ -809,8 +867,8 @@
                 ioDepositDataDetail.beginTran();
                 ioDepositApprovalInfo.connect();
                 ioDepositApprovalInfo.beginTran();
-                ioRequestTotalData.connect();
-                ioRequestTotalData.beginTran();
+                ioRequestHead.connect();
+                ioRequestHead.beginTran();
 
                 // 登録処理
                 foreach (var depositOrderer in depositOrderers)
@@ -827,6 +885,7 @@
                                 throw new Exception();
                             continue;
                         }
+
                         var depositData = new DepositData()
                         {
                             OrderersDivision = depositOrderer.OrderersDivision,
@@ -833,15 +892,28 @@
                             OrderersCode = depositOrderer.OrderersCode,
                             TargetDate = m_Select_TargetDate.ToString(),
                             SeqNo = deposit.SeqNo,
+                            BusinessPeriod = CommonMotions.SystemMasterData.BusinessPeriod,
                             DepositDate = DateTime.Parse(deposit.DepositDate),
+                            DepositAmount = deposit.DepositAmountCash.GetValueOrDefault(0) + deposit.DepositAmountBill.GetValueOrDefault(0), 
                             DepositAmountCash = deposit.DepositAmountCash.GetValueOrDefault(0),
                             DepositAmountBill = deposit.DepositAmountBill.GetValueOrDefault(0),
                         };
+
                         // 登録処理
                         if (deposit.Added)
                         {
                             if (!ioDepositData.InsertAction(depositData))
+                            {
                                 throw new Exception();
+                            }
+                            else
+                            {
+                                    // 総務担当
+                                    if (m_UserInfo.m_GeneralAffairsFlg == 1)
+                                    {
+                                        MessageBoardEntry(depositOrderer);
+                                    }
+                            }
                         }
                         // 更新処理
                         else if (deposit.Editted)
@@ -868,13 +940,13 @@
                             // 入金明細データを削除した場合は、対応する請求合計データを割当未とする
                             sql = string.Format(" where RequestNo = {0} and OrderNo = {1} ",
                                 depositDetail.RequestNo, depositDetail.OrderNo);
-                            var lstRtd = new List<RequestTotalData>();
-                            if (!ioRequestTotalData.SelectAction(sql, ref lstRtd))
+                            var lstRtd = new List<RequestHead>();
+                            if (!ioRequestHead.SelectAction(sql, ref lstRtd))
                                 throw new Exception();
                             foreach (var rtd in lstRtd)
                             {
-                                rtd.AssignedFlg = false;
-                                if (!ioRequestTotalData.UpdateAction("", rtd))
+                                rtd.AssignedFlg = 0;
+                                if (!ioRequestHead.UpdateAction("", rtd))
                                     throw new Exception();
                             }
                             continue;
@@ -910,13 +982,13 @@
                             // 入金明細データを追加した場合は、対応する請求合計データを割当済みとする
                             var sql = string.Format(" where RequestNo = {0} and OrderNo = {1} ",
                                 depositDataDetail.RequestNo, depositDataDetail.OrderNo);
-                            var lstRtd = new List<RequestTotalData>();
-                            if (!ioRequestTotalData.SelectAction(sql, ref lstRtd))
+                            var lstRtd = new List<RequestHead>();
+                            if (!ioRequestHead.SelectAction(sql, ref lstRtd))
                                 throw new Exception();
                             foreach (var rtd in lstRtd)
                             {
-                                rtd.AssignedFlg = true;
-                                if (!ioRequestTotalData.UpdateAction("", rtd))
+                                rtd.AssignedFlg = 1;
+                                if (!ioRequestHead.UpdateAction("", rtd))
                                     throw new Exception();
                             }
                             // 入金確認承認データの登録
@@ -986,7 +1058,7 @@
                 ioDepositData.commit();
                 ioDepositDataDetail.commit();
                 ioDepositApprovalInfo.commit();
-                ioRequestTotalData.commit();
+                ioRequestHead.commit();
 
                 // グリッド表示
                 DisplayData();
@@ -996,7 +1068,7 @@
                 ioDepositData.rollback();
                 ioDepositDataDetail.rollback();
                 ioDepositApprovalInfo.rollback();
-                ioRequestTotalData.rollback();
+                ioRequestHead.rollback();
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
             finally
@@ -1007,7 +1079,7 @@
                 ioDepositData.close();
                 ioDepositDataDetail.close();
                 ioDepositApprovalInfo.close();
-                ioRequestTotalData.close();
+                ioRequestHead.close();
             }
         }
 
@@ -1647,81 +1719,59 @@
             try
             {
                 var sql = new StringBuilder();
-                sql.Append("select ");
-                sql.Append("DepD.OrderersDivision, ");
-                sql.Append("DepD.OrderersCode, ");
-                sql.Append("DepD.TargetDate, ");
-                sql.Append("DepD.SeqNo, ");
-
-                sql.Append("null as DepositDate, ");
-                sql.Append("null, ");
-                sql.Append("null, ");
-                sql.Append("null, ");
-                sql.Append("null, ");
-                sql.Append("null, ");
-                sql.Append("null, ");
-
-                sql.Append("DepD.LineCount, ");
-                sql.Append("ifnull(DepD.RequestNo, 0) as RequestNo, ");
-                sql.Append("ifnull(DepD.OrderNo, 0) as OrderNo, ");
-                sql.Append("DepD.DepositAmount, ");
-                sql.Append("ifnull(DepD.DiscountAmount, 0) as DiscountAmount, ");
-                sql.Append("ifnull(DepD.CnstrPrice, 0) as CnstrPrice, ");
-                sql.Append("ifnull(DepD.Fees, 0) as Fees, ");
-                sql.Append("ifnull(DepD.OtherAdjustments, 0) as OtherAdjustments, ");
-                sql.Append("ifnull(DepD.CarryAmount, 0) as CarryAmount, ");
-                sql.Append("ifnull(DepD.ApprovalPersonCode, 0) as ApprovalPersonCode, ");
-                sql.Append("ifnull(DepD.ApprovalDate, 0) as ApprovalDate, ");
-                sql.Append("DepD.ApprovalEndFlg, ");
-                sql.Append("PicM.SealPrintName, ");
-                sql.Append("PicM2.DepartmentCode, ");
-                sql.Append("DATE_FORMAT(ReqT.BillCreationDate, '%Y/%m/%d') as BillCreationDate, ");
-                sql.Append("ReqT.BillPrice, ");
-                sql.Append("ReqT.TaxPrice, ");
-                sql.Append("Cbi.ConstructionCode, ");
-                sql.Append("Cbi.ConstructionPersonCode, ");
-                sql.Append("Cbi.ConstrSubPersonCode, ");
-                sql.Append("Cbi.ConstructionInstructor, ");
-                sql.Append("CbiD.DetailNo, ");
-                sql.Append("CbiD.DetailString ");
-                sql.Append("from DepositDataDetail DepD ");
-                sql.Append("left outer join PersonInChargeMaster as PicM on PicM.PersonCode = DepD.ApprovalPersonCode ");
-                sql.Append("left outer join RequestTotalData as ReqT on ReqT.RequestNo = DepD.RequestNo and ReqT.OrderNo = DepD.OrderNo ");
-                sql.Append("left outer join ConstructionBaseInfo as Cbi on Cbi.ConstructionCode = ReqT.RequestNo ");
-                sql.Append("left outer join ConstructionBaseInfoDetail as CbiD on CbiD.ConstructionCode = Cbi.ConstructionCode and CbiD.DetailNo = 2 ");
-                sql.Append("left outer join ConstructionBaseInfo as Cbi2 on Cbi2.ConstructionCode = Cbi.ConstructionCode ");
-                sql.Append("left outer join PersonInChargeMaster as PicM2 on PicM2.PersonCode = Cbi2.ConstructionPersonCode ");
-                sql.Append("left outer join ApprovalMaster as Am on Am.DepartmentCode = PicM2.DepartmentCode and Am.ApprovalCode = 3 and Am.ApprovalAuthority = 1 ");
-                sql.AppendFormat("where DepD.OrderersDivision = {0} and DepD.OrderersCode = {1} and DepD.TargetDate = {2} ", orderersDivision, orderersCode, m_Select_TargetDate);
-                sql.Append("group by ");
-                sql.Append("DepD.OrderersDivision, ");
-                sql.Append("DepD.OrderersCode, ");
-                sql.Append("DepD.TargetDate, ");
-                sql.Append("DepD.SeqNo, ");
-                sql.Append("DepD.LineCount, ");
-                sql.Append("DepD.RequestNo, ");
-                sql.Append("DepD.OrderNo, ");
-                sql.Append("DepD.DepositAmount, ");
-                sql.Append("DepD.DiscountAmount, ");
-                sql.Append("DepD.CnstrPrice, ");
-                sql.Append("DepD.Fees, ");
-                sql.Append("DepD.OtherAdjustments, ");
-                sql.Append("DepD.CarryAmount, ");
-                sql.Append("DepD.ApprovalPersonCode, ");
-                sql.Append("DepD.ApprovalDate, ");
-                sql.Append("DepD.ApprovalEndFlg, ");
-                sql.Append("PicM.SealPrintName, ");
-                sql.Append("PicM2.DepartmentCode, ");
-                sql.Append("ReqT.BillCreationDate, ");
-                sql.Append("ReqT.BillPrice, ");
-                sql.Append("ReqT.TaxPrice, ");
-                sql.Append("Cbi.ConstructionCode, ");
-                sql.Append("Cbi.ConstructionPersonCode, ");
-                sql.Append("Cbi.ConstrSubPersonCode, ");
-                sql.Append("Cbi.ConstructionInstructor, ");
-                sql.Append("CbiD.DetailNo, ");
-                sql.Append("CbiD.DetailString ");
-                sql.Append("order by DepD.OrderersDivision, DepD.OrderersCode, DepD.SeqNo, DepD.LineCount, DepD.RequestNo, DepD.OrderNo ");
+                sql.Append("SELECT");
+                sql.Append(" DepD.OrderersDivision");
+                sql.Append(" ,DepD.OrderersCode");
+                sql.Append(" ,DepD.TargetDate");
+                sql.Append(" ,DepD.SeqNo");
+                sql.Append(" ,null as DepositDate");
+                sql.Append(" ,null");
+                sql.Append(" ,null");
+                sql.Append(" ,null");
+                sql.Append(" ,null");
+                sql.Append(" ,null");
+                sql.Append(" ,null");
+                sql.Append(" ,DepD.LineCount");
+                sql.Append(" ,ifnull(DepD.RequestNo, 0) as RequestNo");
+                sql.Append(" ,0 as OrderNo");
+                sql.Append(" ,DepD.DepositAmount");
+                sql.Append(" ,ifnull(DepD.DiscountAmount, 0) as DiscountAmount");
+                sql.Append(" ,ifnull(DepD.CnstrPrice, 0) as CnstrPrice");
+                sql.Append(" ,ifnull(DepD.Fees, 0) as Fees");
+                sql.Append(" ,ifnull(DepD.OtherAdjustments, 0) as OtherAdjustments");
+                sql.Append(" ,ifnull(DepD.CarryAmount, 0) as CarryAmount");
+                sql.Append(" ,ifnull(DepD.ApprovalPersonCode, 0) as ApprovalPersonCode");
+                sql.Append(" ,ifnull(DepD.ApprovalDate, 0) as ApprovalDate");
+                sql.Append(" ,DepD.ApprovalEndFlg");
+                sql.Append(" ,PicM.SealPrintName");
+                sql.Append(" ,PicM2.DepartmentCode");
+                sql.Append(" ,DATE_FORMAT(InvD.CretateDate, '%Y/%m/%d') as BillCreationDate");
+                sql.Append(" ,ReqH.RequestAmount as BillPrice");
+                sql.Append(" ,ReqH.TaxAmount as TaxPrice");
+                sql.Append(" ,Cbi.ConstructionCode");
+                sql.Append(" ,Cbi.ConstructionPersonCode");
+                sql.Append(" ,Cbi.ConstrSubPersonCode");
+                sql.Append(" ,Cbi.ConstructionInstructor");
+                sql.Append(" ,0");
+                sql.Append(" ,ReqH.ReqConstructionName");
+                sql.Append(" FROM");
+                sql.Append(" DepositDataDetail DepD");
+                sql.Append(" LEFT OUTER JOIN PersonInChargeMaster PicM ON");
+                sql.Append(" DepD.ApprovalPersonCode = PicM.PersonCode");
+                sql.Append(" LEFT OUTER JOIN RequestHead ReqH ON");
+                sql.Append(" DepD.RequestNo = ReqH.RequestNo");
+                sql.Append(" LEFT OUTER JOIN ConstructionBaseInfo Cbi ON");
+                sql.Append(" ReqH.ReqConstructionCode = Cbi.ConstructionCode");
+                sql.Append(" LEFT OUTER JOIN PersonInChargeMaster PicM2 ON");
+                sql.Append(" Cbi.ConstructionPersonCode = PicM2.PersonCode");
+                sql.Append(" LEFT OUTER JOIN InvoiceData InvD ON");
+                sql.Append(" ReqH.InvoiceNo = InvD.InvoiceNo");
+                sql.Append(" WHERE");
+                sql.AppendFormat(" DepD.OrderersDivision = {0}", orderersDivision);
+                sql.AppendFormat(" AND DepD.OrderersCode = {0}", orderersCode);
+                sql.AppendFormat(" AND DepD.TargetDate = {0}", m_Select_TargetDate);
+                sql.Append(" ORDER BY");
+                sql.Append(" DepD.RequestNo");
                 var depDb = new IODepositData();
                 var data = new ArrayList();
                 if (!depDb.ExecuteReader(sql.ToString(), ref data)) return new ArrayList();
@@ -2332,7 +2382,7 @@
             try
             {
                 // 全部署対象
-                if (m_UserInfo.m_SecRange == SecRangeType.AllDepartment)
+                if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.AllDepartment)
                 {
                     return true;
                 }
@@ -2347,12 +2397,12 @@
                 sql.AppendFormat("and PdM.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
                 sql.AppendFormat("and PdM.DepartmentCode = {0} ", CommonMotions.LoginUserData.DepartmentCode);
                 // 自部門のみ表示の場合
-                if (m_UserInfo.m_SecRange == SecRangeType.OneDepartment)
+                if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.OneDepartment)
                 {
                     sql.Append("and Pdm.AffiliationFlg = 1 ");
                 }
                 // 担当分のみ対象の場合
-                else if (m_UserInfo.m_SecRange == SecRangeType.InCharge)
+                else if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.InCharge)
                 {
                     sql.AppendFormat("and (Cbi.ConstructionPersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
                     sql.AppendFormat("or Cbi.ConstrSubPersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
@@ -2382,13 +2432,13 @@
             try
             {
                 // 全部署対象
-                if (m_UserInfo.m_SecRange == SecRangeType.AllDepartment)
+                if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.AllDepartment)
                 {
                     return true;
                 }
 
                 // 複数部署対象、または自部署のみ対象
-                else if ((m_UserInfo.m_SecRange == SecRangeType.MultiDepartment) || (m_UserInfo.m_SecRange == SecRangeType.OneDepartment))
+                else if ((m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.MultiDepartment) || (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.OneDepartment))
                 {
                     var ioPdm = new IOMPersonDepartment();
                     var arDataPdm = new ArrayList();
@@ -2396,7 +2446,7 @@
                     sql.AppendLine("select Pdm.DepartmentCode ");
                     sql.AppendLine("from PersonDepartmentMaster as Pdm ");
                     sql.AppendFormat("where Pdm.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
-                    if (m_UserInfo.m_SecRange == SecRangeType.OneDepartment)
+                    if (m_UserInfo.m_SecRange == ClsSecurityPermission.SecRangeType.OneDepartment)
                     {
                         sql.AppendLine("and Pdm.AffiliationFlg = 1 ");
                     }
@@ -2483,7 +2533,7 @@
         private bool CanEditDeposit(DepositOrderer depositOrderer)
         {
             // 担当者の場合
-            if (m_UserInfo.m_Type == UserType.Staff)
+            if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.NormalAuthority)
             {
                 // 承認済みなら編集不可
                 if (depositOrderer.HasApprovedByApprover)
@@ -2490,13 +2540,13 @@
                     return false;
             }
             // 所属長、統括者の場合
-            else if (m_UserInfo.m_Type == UserType.SuperiorAuthority || m_UserInfo.m_Type == UserType.SupervisorAuthority)
+            else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.LimitedAuthority || m_UserInfo.m_Type == CommonDefine.SecurityRankPos.FreeAuthority)
             {
                 if (depositOrderer.HasApprovedByLastApprover)
                     return false;
             }
             // 特別権限の場合
-            else if (m_UserInfo.m_Type == UserType.PresidentAuthority)
+            else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
             {
                 if (depositOrderer.HasApprovedByLastApprover)
                     return false;
@@ -2507,7 +2557,7 @@
         private bool CanEditDepositDetail(DepositDetail depositDetail)
         {
             // 担当者の場合
-            if (m_UserInfo.m_Type == UserType.Staff)
+            if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.NormalAuthority)
             {
                 // 承認済みなら編集不可
                 if (depositDetail.IsApprovedByStaff || depositDetail.IsApprovedByApprover)
@@ -2514,7 +2564,7 @@
                     return false;
             }
             // 所属長、統括者の場合
-            else if (m_UserInfo.m_Type == UserType.SuperiorAuthority || m_UserInfo.m_Type == UserType.SupervisorAuthority)
+            else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.LimitedAuthority || m_UserInfo.m_Type == CommonDefine.SecurityRankPos.FreeAuthority)
             {
                 // 上位の承認者でなければ編集不可
                 if (!IsUpperLevelApprover(depositDetail))
@@ -2521,7 +2571,7 @@
                     return false;
             }
             // 特別権限の場合
-            else if (m_UserInfo.m_Type == UserType.PresidentAuthority)
+            else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
             {
                 if (depositDetail.IsApprovedByLastApprover)
                     return false;
@@ -2567,63 +2617,6 @@
             row.Cells[(int)DispColumn.DepositAmountCash].ReadOnly = readOnly;
             row.Cells[(int)DispColumn.DepositAmountBill].ReadOnly = readOnly;
         }
-
-        /// <summary>
-        /// ユーザタイプ判定
-        /// </summary>
-        private void SetUserType()
-        {
-            IOMSecurity IoSm = new IOMSecurity();
-            ArrayList arDataSm = new ArrayList();
-            StringBuilder sql = new StringBuilder();
-
-            try
-            {
-                // システム管理者・特別権限
-                if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement
-                 || CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
-                {
-                    // 特別権限
-                    m_UserInfo.m_Type = UserType.PresidentAuthority;
-                }
-                // 統括者権限
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key)
-                {
-                    // 統括者権限
-                    m_UserInfo.m_Type = UserType.SupervisorAuthority;
-
-                }
-                // 所属長権限
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
-                {
-                    // 統括者権限
-                    m_UserInfo.m_Type = UserType.SuperiorAuthority;
-
-                }
-                // 一般権限
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
-                {
-                    // 一般権限
-                    m_UserInfo.m_Type = UserType.Staff;
-                }
-
-                sql.AppendLine("select Sm.SecRange, Sm.GeneralAffairs ");
-                sql.AppendLine("from SecurityMaster as Sm ");
-                sql.AppendFormat("where Sm.SecCode = {0} ", CommonMotions.LoginUserData.SecCode);
-
-                if (!IoSm.ExecuteReader(sql.ToString(), ref arDataSm)) return;
-
-                foreach (object[] work in arDataSm)
-                {
-                    m_UserInfo.m_SecRange = (SecRangeType)CommonMotions.cnvInt(work[0]);
-                    m_UserInfo.m_GeneralAffairsFlg = CommonMotions.cnvInt(work[1]);
-                }
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", ex.Message);
-            }
-        }
         
         /// <summary>
         /// ボタン制御
